@extends('front.template')

@section('main')
    <div class="row">
        <div class="box">
            <div class="col-lg-12">
                @if(session()->has('status'))
                    @include('partials/error', ['type' => 'success', 'message' => session('status')])
                @endif
                @if(session()->has('error'))
                    @include('partials/error', ['type' => 'danger', 'message' => session('error')])
                @endif  
                <hr>    
                <h2 class="intro-text text-center">{{ trans('front/password.title') }}</h2>
                <hr>
                <p>{{ trans('front/password.info') }}</p>       
                {!! Form::open(['url' => 'password/email', 'method' => 'post', 'role' => 'form']) !!}   

                <div class="row">

                    {!! Form::controlBootstrap('email', 6, 'email', $errors, trans('front/password.email')) !!}
                    {!! Form::submitBootstrap(trans('front/form.send'), 'col-lg-12') !!}
                    {!! Form::text('address', '', ['class' => 'hpet']) !!}  

                </div>

                {!! Form::close() !!}

            </div>
        </div>
    </div>
@endsection